Debian Bug report logs - #199545
ITA: abuse-sdl -- SDL-port of Crack dot Com's Abuse action game

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Arto Jantunen <viiru@debian.org>

Date: Tue, 1 Jul 2003 17:33:05 UTC

Severity: normal

Fixed in version abuse-sdl/1:0.6.1-2

Done: Sam Hocevar (Debian packages) <sam+deb@zoy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199545; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Arto Jantunen <viiru@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arto Jantunen <viiru@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: abuse-sdl -- SDL-port of Crack dot Com's Abuse action game
Date: Tue, 01 Jul 2003 20:22:36 +0300
Package: wnpp
Version: unavailable; reported 2003-07-01
Severity: normal

I will orphan the abuse-sdl package for reasons explained in my email to
d-p.

The package description is:
 Abuse is a side scrolling shoot-em-up action game from Crack dot Com.
 .
 This package contains the SDL-version of the Abuse game engine. It requires
 a mouse.

--
Arto Jantunen




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199545; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 199545@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Fri, 4 Jul 2003 10:31:37 +0200
   I am interested in maintaining abuse. I have good experience in games
and I think I'll manage to port it to non-8bpp displays. I will first
have a look at the bugs before renaming O: to ITA:, so if someone more
interested wants it in the meantime, ask me for my current patches.

-- 
Sam.



Changed Bug title. Request was from Keith Dunwoody <kstephen@interchange.ubc.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Keith Dunwoody <kstephen@interchange.ubc.ca> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199545; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #19 received at 199545@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Sam Hocevar <sam@zoy.org>
Cc: 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org, Keith Dunwoody <kstephen@interchange.ubc.ca>
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Sun, 5 Oct 2003 20:08:13 +1000
* Sam Hocevar <sam@zoy.org> [2003-07-04 10:31]:
>    I am interested in maintaining abuse. I have good experience in games
> and I think I'll manage to port it to non-8bpp displays. I will first
> have a look at the bugs before renaming O: to ITA:, so if someone more
> interested wants it in the meantime, ask me for my current patches.

Bug #202384 - ftp.debian.org: Please remove abuse
>Sender: Keith Dunwoody <keith@megatron>
>As indicated by the previous maintainer's comments the abuse package
>has been obseleted by abuse-sdl.  I intend to adopt the other
>abuse-related packages (abuse-sdl abuse-lib abuse-sfx abuse-frabs), but
>think that abuse should be removed instead.

So who is going to adopt it, and when?  Both of you expressed interest
in July.

-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199545; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Hocevar <sam@zoy.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #24 received at 199545@bugs.debian.org (full text, mbox):

From: Sam Hocevar <sam@zoy.org>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org, Keith Dunwoody <kstephen@interchange.ubc.ca>
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Mon, 6 Oct 2003 12:41:27 +0200
On Sun, Oct 05, 2003, Martin Michlmayr wrote:
> >As indicated by the previous maintainer's comments the abuse package
> >has been obseleted by abuse-sdl.  I intend to adopt the other
> >abuse-related packages (abuse-sdl abuse-lib abuse-sfx abuse-frabs), but
> >think that abuse should be removed instead.

   I do not think so. libSDL is not available on hurd-i386. Keith, why
didn't you contact me before filing this bug? I Cc:ed all the O: bugs
to avoid that.

> So who is going to adopt it, and when?  Both of you expressed interest
> in July.

   I fixed all current bugs but I do not want to adopt a non-free
package. I have started collecting DFSG-free sound files to replace
the ones in abuse-sfx, but I am not doing very well because there are
few sources for such data. If Keith really wants the packages, I'll
leave them to him and contribute my sound files later. I just want
Abuse to become free and stay maintained.

Regards,
-- 
Sam.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199545; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Keith Dunwoody (S. Wolthusen)" <kdunwood@igd.fhg.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #29 received at 199545@bugs.debian.org (full text, mbox):

From: "Keith Dunwoody (S. Wolthusen)" <kdunwood@igd.fhg.de>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Sam Hocevar <sam@zoy.org>, 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Mon, 06 Oct 2003 13:17:15 +0200
Hi,

Sam can have it, as far as I'm concerned.  I have a patch which fixes 
abuse-sdl to compile under gcc 3.3 (it doesn't work with abuse-frabs 
when compiled under gcc 3.3).  The issues addressed in this bug may or 
may not be the cause of the other bugs on non-386 architectures, but I 
don't have access to the appropriate architectures to test them on..  I 
also have a (trivial) documentation patch which fixes one of the other 
bugs. You might also want to update abuse-lib to include the full 
version of the data files, since these have since been released into the 
public domain.  The sound effects are still non-public domain, and thus 
must remain in non-free.  The original author of abuse speculated that 
the author of the sound effects might be willing to release them under a 
free license, which I havn't followed up on.  Otherwise you might be 
able to pull in the sound effects from abuse-frabs, but you'd have to 
check that these arn't the original sounds with the author of frabs just 
being slopy about copyright issues.

-- Keith

P.S.  abuse-sdl already works on non-8bpp displays, which is why I 
figured we could safely remove abuse.  I appologize for not getting in 
touch with Sam, I didn't notice he'd expressed interest.

Martin Michlmayr wrote:

>* Sam Hocevar <sam@zoy.org> [2003-07-04 10:31]:
>  
>
>>   I am interested in maintaining abuse. I have good experience in games
>>and I think I'll manage to port it to non-8bpp displays. I will first
>>have a look at the bugs before renaming O: to ITA:, so if someone more
>>interested wants it in the meantime, ask me for my current patches.
>>    
>>
>
>Bug #202384 - ftp.debian.org: Please remove abuse
>  
>
>>Sender: Keith Dunwoody <keith@megatron>
>>As indicated by the previous maintainer's comments the abuse package
>>has been obseleted by abuse-sdl.  I intend to adopt the other
>>abuse-related packages (abuse-sdl abuse-lib abuse-sfx abuse-frabs), but
>>think that abuse should be removed instead.
>>    
>>
>
>So who is going to adopt it, and when?  Both of you expressed interest
>in July.
>
>  
>





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199545; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Keith Dunwoody (S. Wolthusen)" <kdunwood@igd.fhg.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #34 received at 199545@bugs.debian.org (full text, mbox):

From: "Keith Dunwoody (S. Wolthusen)" <kdunwood@igd.fhg.de>
To: Sam Hocevar <sam@zoy.org>
Cc: Martin Michlmayr <tbm@cyrius.com>, 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org, Keith Dunwoody <kstephen@interchange.ubc.ca>
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Mon, 06 Oct 2003 14:25:15 +0200
Sam Hocevar wrote:

>On Sun, Oct 05, 2003, Martin Michlmayr wrote:
>  
>
>>>As indicated by the previous maintainer's comments the abuse package
>>>has been obseleted by abuse-sdl.  I intend to adopt the other
>>>abuse-related packages (abuse-sdl abuse-lib abuse-sfx abuse-frabs), but
>>>think that abuse should be removed instead.
>>>      
>>>
>
>   I do not think so. libSDL is not available on hurd-i386. Keith, why
>didn't you contact me before filing this bug? I Cc:ed all the O: bugs
>to avoid that.
>
Sorry.  I thought I checked and didn't see anything.

-- Keith




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199545; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@twcny.rr.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #39 received at 199545@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@twcny.rr.com>
To: 199545@bugs.debian.org
Subject: Anyone really adopting this?
Date: Mon, 8 Mar 2004 22:32:19 -0500
This WNPP bug has been in 'IDA' mode for a long time, and the bugs
against abuse-sdl due to its obsoleteness are piling up.

Is this (not to mention abuse-frabs and the semi-obsolete abuse-lib) really 
being adopted?  How are  the freeness issues going? (It sounded like they'd 
been resolved.)

Replies to bug trail please!



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#199545; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #44 received at 199545@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: Nathanael Nerode <neroden@twcny.rr.com>, 199545@bugs.debian.org
Subject: Re: Bug#199545: Anyone really adopting this?
Date: Tue, 9 Mar 2004 13:11:13 +0100
On Mon, Mar 08, 2004 at 10:32:19PM -0500, Nathanael Nerode wrote:
> This WNPP bug has been in 'IDA' mode for a long time, and the bugs
> against abuse-sdl due to its obsoleteness are piling up.
> 
> Is this (not to mention abuse-frabs and the semi-obsolete abuse-lib) really 
> being adopted?  How are  the freeness issues going? (It sounded like they'd 
> been resolved.)
> 
> Replies to bug trail please!

Hi Nathanael.

Unless you bcc'ed him the one who intended to adopt these packages
will not have received your mail, or am I mistaken?

But at least it reminds me that I need to weed out the ITA bugs again,
thx :)

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#199545; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #49 received at 199545@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Sam Hocevar <sam@zoy.org>
Cc: 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org, Keith Dunwoody <kstephen@interchange.ubc.ca>
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Tue, 15 Jun 2004 18:03:55 +0100
* Sam Hocevar <sam@zoy.org> [2003-10-06 12:41]:
>    I fixed all current bugs but I do not want to adopt a non-free
> package. I have started collecting DFSG-free sound files to replace
> the ones in abuse-sfx, but I am not doing very well because there are
> few sources for such data. If Keith really wants the packages, I'll
> leave them to him and contribute my sound files later. I just want
> Abuse to become free and stay maintained.

OK, so as I see it, there is abuse-frabs, abuse-lib and abuse-sdl in
main, and abuse-sfx in non-free.  Sam, are you going to adopt the main
packages now?  Are they even usable since abuse has been removed?
-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#199545; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to keith <kstephen@interchange.ubc.ca>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #54 received at 199545@bugs.debian.org (full text, mbox):

From: keith <kstephen@interchange.ubc.ca>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Sam Hocevar <sam@zoy.org>, 199543@bugs.debian.org, 199544@bugs.debian.org, 199545@bugs.debian.org, 199546@bugs.debian.org, Keith Dunwoody <kstephen@interchange.ubc.ca>
Subject: Re: O: abuse -- Crack dot Com's Abuse action game
Date: Wed, 16 Jun 2004 20:52:53 -0700
On Tue, Jun 15, 2004 at 06:03:55PM +0100, Martin Michlmayr wrote:
> * Sam Hocevar <sam@zoy.org> [2003-10-06 12:41]:
> >    I fixed all current bugs but I do not want to adopt a non-free
> > package. I have started collecting DFSG-free sound files to replace
> > the ones in abuse-sfx, but I am not doing very well because there are
> > few sources for such data. If Keith really wants the packages, I'll
> > leave them to him and contribute my sound files later. I just want
> > Abuse to become free and stay maintained.
> 
> OK, so as I see it, there is abuse-frabs, abuse-lib and abuse-sdl in
> main, and abuse-sfx in non-free.  Sam, are you going to adopt the main
> packages now?  Are they even usable since abuse has been removed?

abuse-sdl is a replacement for abuse on all platforms which have SDL, so 
platforms with SDL work without the abuse package.

-- Keith



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#199545; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #59 received at 199545@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: 199545@bugs.debian.org
Cc: sam@debian.org
Subject: Sam agreed to "delaying everything else to do an upload now"
Date: Thu, 8 Jul 2004 18:34:03 +0200
Sam agreed to "delaying everything else to do an upload now".

So this bug should be closed RSN, hopefully Sam will adopt abuse-sfx
too.

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Tags added: pending Request was from Sam Hocevar <sam@zoy.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Sam Hocevar (Debian packages) <sam+deb@zoy.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Arto Jantunen <viiru@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #66 received at 199545-close@bugs.debian.org (full text, mbox):

From: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
To: 199545-close@bugs.debian.org
Subject: Bug#199545: fixed in abuse-sdl 1:0.6.1-2
Date: Mon, 19 Jul 2004 03:15:25 -0400
Source: abuse-sdl
Source-Version: 1:0.6.1-2

We believe that the bug you reported is fixed in the latest version of
abuse-sdl, which is due to be installed in the Debian FTP archive:

abuse-sdl_0.6.1-2.diff.gz
  to pool/main/a/abuse-sdl/abuse-sdl_0.6.1-2.diff.gz
abuse-sdl_0.6.1-2.dsc
  to pool/main/a/abuse-sdl/abuse-sdl_0.6.1-2.dsc
abuse-sdl_0.6.1-2_i386.deb
  to pool/main/a/abuse-sdl/abuse-sdl_0.6.1-2_i386.deb
abuse_0.6.1-2_i386.deb
  to pool/main/a/abuse-sdl/abuse_0.6.1-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 199545@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Hocevar (Debian packages) <sam+deb@zoy.org> (supplier of updated abuse-sdl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  9 Jul 2004 13:07:53 +0200
Source: abuse-sdl
Binary: abuse-sdl abuse
Architecture: source i386
Version: 1:0.6.1-2
Distribution: unstable
Urgency: low
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Changed-By: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Description: 
 abuse      - SDL port of the Abuse action game
 abuse-sdl  - SDL port of the Abuse action game
Closes: 199545
Changes: 
 abuse-sdl (1:0.6.1-2) unstable; urgency=low
 .
   * New maintainer (Closes: #199545).
   * debian/control:
     + Set policy to 3.6.1.1.
     + Removed the trailing full stop in the package description.
     + Renamed the main package to abuse now that the original abuse is
       deprecated.
   * debian/menu:
     + Quoted strings where appropriate.
Files: 
 67ed318dd653d132c09782adbc8a884c 609 games optional abuse-sdl_0.6.1-2.dsc
 71240be50cfa82cc5c6fd10b43ab55b1 3477 games optional abuse-sdl_0.6.1-2.diff.gz
 c5999fef7789d847114790306798d6e1 311478 games optional abuse_0.6.1-2_i386.deb
 fe739dc1ffa2cd0588464a1df5e8f43b 4586 oldlibs optional abuse-sdl_0.6.1-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFA7oJHfPP1rylJn2ERAoWMAJ47NRiqjikHfChzvigWvXTtmyTEawCbBg28
yxkFWHRxvIsUuRxaQabDOpw=
=SWYW
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:18:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.